<script>
	import SVG from "@/components/svg.svelte"

	import dayjs from "dayjs"

	export let value
	export let placeholder
	export let min = dayjs().format("YYYY-MM-DD")
	export let max

	const today = dayjs().format("YYYY-MM-DD")
</script>

<div class="datepicker is-flex is-align-items-center is-justify-content-space-between">
	<span class="icon calendar is-flex is-align-items-center is-justify-content-center"><SVG folder="icons" name="calendar" /></span>
	<p class="label">
		{#if !value}
			<span>{placeholder}&nbsp;</span>
			<span class="has-text-red">*</span>
		{:else}
			{dayjs(value).format("DD-MM-YYYY")}
		{/if}
	</p>
	<span class="icon calendar is-flex is-align-items-center is-justify-content-center"><SVG folder="icons" name="triangle-down" /></span>
	<input type="date" bind:value={value} min={min || today} max={max} />
</div>

<style lang="scss">
.datepicker {
	padding: 1rem;
	padding-left: 0;
	position: relative;
}
input {
	position: absolute!important;
	top: 0;
	left: 0;
	width: 100%!important;
	height: 100%!important;
	opacity: 0;
}
input::-webkit-calendar-picker-indicator {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  cursor: pointer;
}

.calendar {
	width: 1rem;
	:global(svg) {
		width: 1rem;
		height: 1rem;
	}
	:global(svg path) {
		fill: $white;
	}
}

.label {
	left: 1.5rem!important;
}
</style>